/*
 -------------------------------------------------------------------------------
 | Producer - Copyright (C) 2001-2007  Don Burns                               |
 |                                                                             |
 | This library is free software; you can redistribute it and/or modify        |
 | it under the terms of the GNU Lesser General Public License as published    |
 | by the Free Software Foundation; either version 3 of the License, or        |
 | (at your option) any later version.                                         |
 |                                                                             |
 | This library is distributed in the hope that it will be useful, but         |
 | WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY  |
 | or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public     |
 | License for more details.                                                   |
 |                                                                             |
 | You should have received a copy of the GNU Lesser General Public License    |
 | along with this software; if not, write to the Free Software Foundation,    |
 | Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.               |
 |                                                                             |
 -------------------------------------------------------------------------------
 */



#ifndef REFFED_OPEN_THREADS_DEF
#define REFFED_OPEN_THREADS_DEF 1

#include <OpenThreads/Barrier>
#include <OpenThreads/Condition>
#include <OpenThreads/Mutex>
#include <OpenThreads/Thread>

#include <Producer/Referenced.h>

namespace Producer {

class RefBarrier : public Producer::Referenced, public OpenThreads::Barrier
{
    public:
        RefBarrier(int numThreads=0): OpenThreads::Barrier(numThreads) {}

    protected:
        virtual ~RefBarrier() {}
};

} // namespace

#endif
